import { DeserializeHandlerOptions, Endpoint, EndpointBearer, MetadataBearer, Pluggable, Provider, RequestSerializer, ResponseDeserializer, SerdeFunctions, SerializeHandlerOptions, UrlParser } from "@smithy/types";
export declare const deserializerMiddlewareOption: DeserializeHandlerOptions;
export declare const serializerMiddlewareOption: SerializeHandlerOptions;
export type V1OrV2Endpoint = {
    urlParser?: UrlParser;
    endpoint?: Provider<Endpoint>;
};
/**
 * @internal
 *
 * Note: 2nd type parameter is deprecated and unused.
 */
export declare function getSerdePlugin<InputType extends object, _, OutputType extends MetadataBearer>(config: V1OrV2Endpoint & SerdeFunctions, serializer: RequestSerializer<any, SerdeFunctions & EndpointBearer>, deserializer: ResponseDeserializer<OutputType, any, SerdeFunctions>): Pluggable<InputType, OutputType>;
